
CoCoALib - Design #1159

Add global enum  "verify/DontVerify"

22 Feb 2018 16:32 - Anna Maria Bigatti

Status: Closed Start date: 22 Feb 2018

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Data Structures Estimated time: 1.10 hour

Target version: CoCoALib-0.99600 Spent time: 1.00 hour

Description

should we have a global enum for "verify/DontVerify"?

this could be a pervasive feature in cocoalib.

Related issues:

Related to CoCoALib - Design #950: factor and SmoothFactor for integers --> F... Closed 20 Oct 2016

Related to CoCoALib - Feature #1167: New class VerificationLevel Closed 13 Mar 2018

History

#1 - 22 Feb 2018 16:55 - Anna Maria Bigatti

- Target version set to CoCoALib-1.0

John says it might be better to have a "reliability flag", which takes "0" as "certain".

I am thinking of the function MinPolyModular, so with 0 it would verify the answer, otherwise it would apply the desired level of checking to the rational

reconstruction of the coefficients.

#2 - 26 Feb 2018 16:32 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

After speaking to Anna...

a "boolean" interface is easy to understand (and simple to use)

a more sophisticated interface would need to be well documented to be useful (e.g. NTL uses a boolean interface for probabilistic determinant)

it would be nice to have a "universal scheme" for CoCoALib (e.g. a parameter to be used by all fns which offer an optional "fast heuristic" mode)

It may be possible to have a sophisticated interface which can also be used as if it were a boolean one: I am thinking about the method I used for

specifying the GMPAllocator when creating the GlobalManager.  The user can see it as just a flag, or can specify a parameter along with the flag.

#3 - 09 Mar 2018 18:16 - John Abbott

- Related to Design #950: factor and SmoothFactor for integers --> FactorINT, FactorINT_TrialDiv, FactorINT_PollardRho added

#4 - 14 Jun 2018 16:47 - John Abbott

- Related to Feature #1167: New class VerificationLevel added

#5 - 14 Jun 2018 16:48 - John Abbott

- Assignee set to John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99600
Close this issue and refer to #1167?

#6 - 25 Jun 2018 15:06 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 10 to 100

- Estimated time set to 1.10 h

This issue has been subsumed by #1167.  Closing!
